Bug 1282941 - Running a dynamically linked program using openmp (libgomp) results in a segmentation violation
Running a dynamically linked program using openmp (libgomp) results in a segm...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: mingw-gcc (Show other bugs)
23
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Erik van Pienbroek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-17 15:52 EST by easdue
Modified: 2016-12-20 11:01 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 11:01:40 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Sourde code for the test application (423 bytes, text/x-csrc)
2015-11-17 15:52 EST, easdue
no flags Details

  None (edit)
Description easdue 2015-11-17 15:52:56 EST
Created attachment 1095667 [details]
Sourde code for the test application

Description of problem:

I'm trying to build a 64bit windows application using When running a dynamically linked program using openmp. The resulting executable crashes with a segmentation violation in libwinpthread. When I statically link the same app it runs fine

Version-Release number of selected component (if applicable):

mingw64-gcc-5.2.0-1.fc23.x86_64
mingw64-libgomp-5.2.0-1.fc23.x86_64
mingw64-winpthreads-4.0.4-1.fc23.noarch
mingw64-binutils-2.25-2.fc23.x86_64

How reproducible:

compile the attached demo app using:

x86_64-w64-mingw32-gcc -o bla.exe bla.c -fopenmp -lpthread -lgomp
The resulting app will crash

compile with:
x86_64-w64-mingw32-gcc -o bla.exe bla.c -static -fopenmp -lpthread -lgomp
and the resulting app will run fine

Additional info:
Comment 1 Fedora End Of Life 2016-11-24 08:31:36 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2016-12-20 11:01:40 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.